curl --location --request PUT 'https://api.stateset.com/v1/order/:id/remove-promotion' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderRemovePromotionMutation {
orderRemovePromotion(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.RemovePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"removed": true
}
Remove Promotion
This endpoint removes a promotion from an order.
POST
/
v1
/
orders
/
:id
/
remove-promotion
curl --location --request PUT 'https://api.stateset.com/v1/order/:id/remove-promotion' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderRemovePromotionMutation {
orderRemovePromotion(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.RemovePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"removed": true
}
Body
string
The ID provided in the data tab may be used to identify the order
Response
string
The ID provided in the data tab may be used to identify the order
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/order/:id/remove-promotion' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderRemovePromotionMutation {
orderRemovePromotion(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->removePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.RemovePromotion({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"removed": true
}
โI